Skip to main content
Section ID: DOC-API-MODEL-schema-1fiv947q56#overview

EventDelivery

Delivery-attempt state and response information for a webhook event.

Meaning and usage​

Section ID: DOC-API-MODEL-schema-1fiv947q56#meaning

See the definition above.

Usage profiles​

Section ID: DOC-API-MODEL-schema-1fiv947q56#fields

UsageFields and validation
In responsesView fields

In responses​

Section ID: DOC-API-MODEL-schema-1fiv947q56#response

API JSON uses JSON field names (camelCase).

FieldTypePresenceMeaning
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-idSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-ididstringOptionalIdentifier of the event delivery record.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-eventidSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-eventideventIdstringOptionalIdentifier of the webhook event being delivered.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-endpointidSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-endpointidendpointIdstringOptionalIdentifier of the webhook endpoint receiving deliveries.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-statusSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-statusstatusstring (DELIVERY_STATUS_SCHEDULED, DELIVERY_STATUS_PROCESSING, DELIVERY_STATUS_COMPLETED, DELIVERY_STATUS_RETRY, DELIVERY_STATUS_FAILED, DELIVERY_STATUS_DISCARDED) or integer (int32)Optional; explicit presenceCurrent delivery status reported for this webhook event attempt.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-attemptsSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-attemptsattemptsstring (int64)OptionalNumber of delivery attempts reported for the webhook event. Pattern: ^-?\d+$.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-eventtypeSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-eventtypeeventTypestringOptionalType of the webhook event represented by this delivery.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-createdatSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-createdatcreatedAtstring (date-time)OptionalTime when this record was created.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-updatedatSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-updatedatupdatedAtstring (date-time)OptionalTime when this record was last updated.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-httpstatusSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-httpstatushttpStatusstring (int64)OptionalHTTP response status reported for the delivery attempt. Pattern: ^-?\d+$.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-responsedataSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-responsedataresponseDatastringOptionalResponse body reported by the webhook delivery target.
Section ID: DOC-API-MODEL-schema-1fiv947q56#field-errorSection ID: DOC-API-MODEL-schema-1fiv947q56#response-field-errorerrorstringOptionalError information reported for this operation or item.

Values of status​

Section ID: DOC-API-MODEL-schema-1fiv947q56#response-values-status

Current delivery state of a webhook event sent to an endpoint.

ValueNo.FormMeaning
DELIVERY_STATUS_SCHEDULED0CanonicalThe delivery is scheduled and waiting for processing.
DELIVERY_STATUS_PROCESSING1CanonicalThe delivery backend is processing a delivery attempt.
DELIVERY_STATUS_COMPLETED2CanonicalSee meaning below.
DELIVERY_STATUS_RETRY3CanonicalThe delivery is awaiting another attempt after a retryable failure.
DELIVERY_STATUS_FAILED4CanonicalThe delivery is reported as failed by the backend.
DELIVERY_STATUS_DISCARDED5CanonicalThe delivery backend discarded the event instead of completing delivery.

DELIVERY_STATUS_COMPLETED

The webhook delivery completed successfully.

Terminal.

Where used​

Section ID: DOC-API-MODEL-schema-1fiv947q56#where-used

ReferenceRelationship
List webhook event deliveriesPOST /api/v1/webhooks/list-deliveries
Retry a failed webhook deliveryPOST /api/v1/webhooks/retry-delivery

Download the public reference contract.

Document ID: DOC-API-MODEL-schema-1fiv947q56